Subject: Re: bug#55940: macOS: <ns-show-prefs> displayed as keybinding for \\[customize]

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 14 Jun 2022 14:05:25 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Ah, yes -- I didn't notice that this was one of those event thingies.  I
> thought we already filtered those out somewhere?  I'm pretty sure we had
> a similar thing with some other events that was fixed, but I'm blanking
> on that now.  Anybody remember?

I think I'm just misremembering here.

`where-is-internal' should never return these "synthetic" events (that
are only created to have a way to have Emacs process them in the normal
event loop).  So perhaps we should just mark these symbols with a
special property to make `where-is-internal' ignore them?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no